Subject: Re: [Ietf-calsify] Proposed new text for 3.4.6

From: Reinhold Kainhofer <[email-masked]>
Date: Wed, 10 Sep 2008 17:53:07 +0200

I like that new text in general. A few points:

Am Dienstag, 26. August 2008 schrieb Lisa Dusseault:
>   - If an attendee sends the "REFRESH" method with a UID but not a  
> RECURRENCE-ID, the "Organizer" responds with a "REQUEST" method and  
> the entire "VTODO" to bring the attendee up to date.
>   - If an attendee sends the "REFRESH" method and it identifies a  
> RECURRENCE-ID, the "Organizer" responds with a "REQUEST" method and  
> the "VTODO"  instance.

This leaves out the case of (1) a cancelled VTODO and (2) the attendee having 
been de-assigned the VTODO meanwhile. In both cases, the "Organizer" does not 
send out a "REQUEST" method, but rather a "CANCEL" method (setting STATUS 
appropriately to distinguish the two cases).

>   - If an "Organizer" sends the "REFRESH" method with a UID but not a  
> RECURRENCE-ID, each recipient attempts to identify themselves in the  
> "Attendee" list (possibly in several "Attendee" lists if there are  
> exception instances), 

"exception instances" is confusing, because we are not talking about EXDATE 
but rather about individual recurrence instances that have been modified 
separately. I can't provide a better formulation, though.

>   - If an "Organizer" sends the "REFRESH" method and it identifies a  
> RECURRENCE-ID, then the recipient attempts to identify itself in the  
> "Attendee" list for that instance, and if their PARTSTAT needs  
> refreshing,

Using "refreshing" in a section on REFRESH, where "refreshing" does not mean 
sending a REFRESH, is probably not a good idea ;-)  How about "needs an 
update"? or "has changed"? or "is not up-to-date"?

Cheers,
Reinhold

- -- 
- ------------------------------------------------------------------
Reinhold Kainhofer, Vienna University of Technology, Austria
email: [email-masked], http://reinhold.kainhofer.com/
 * Financial and Actuarial Mathematics, TU Wien, http://www.fam.tuwien.ac.at/
 * K Desktop Environment, http://www.kde.org, KOrganizer maintainer
 * Chorvereinigung "Jung-Wien", http://www.jung-wien.at/
_______________________________________________
Ietf-calsify mailing list
[email-masked]
http://lists.osafoundation.org/mailman/listinfo/ietf-calsify